Subject: bug#5107: 23.1.50; Can't backspace indentions inserted by refill-mode

From: Andrew Hyatt <[email-masked]>
Date: Sat, 09 Jul 2016 09:06:12 -0400

I can no longer reproduce this on Emacs 25.  Let me know if it is still
a problem, otherwise I will close this in a few weeks.

Matthew Dempsky <[email-masked]> writes:

> If you have a buffer using refill-mode with indented text like
>
>     Lorem [...text spanning to the fill column...]
>     ipsum...
>
> and the point is right before the `i', then pressing backspace has no
> effect.  I.e., to edit "foo\n []bar" (where [] is the point) into
> "\n foo[]bar", you can't just press DEL.
>
>
> In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>  of 2009-12-02 on admins-macbook-pro-2.local
> Windowing system distributor `Apple', version 10.3.949
> configured using `configure  '--with-ns' '--without-x''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   refill-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> C-u SPC C-x ( L o r e m SPC i p s u m . . . SPC C-x
> ) M-x r e f i l l - m o d e <return> M-3 M-0 C-x e
> C-a C-u C-f <backspace> <backspace> <backspace> <backspace>
> <backspace> <backspace> <backspace> <backspace> <backspace>
> <backspace> <backspace> <backspace> <backspace> <backspace>
> C-h C-g M-` h s
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Defining kbd macro...
> Keyboard macro defined
> Refill mode enabled
> (Type e to repeat macro)
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow mail-extr message ecomplete rfc822 mml mml-sec password-cache
> mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045
> qp ietf-drums mailabbrev nnheader gnus-util netrc time-date mm-util
> mail-prsvr gmm-utils wid-edit mailheader canlock sha1 hex-util hashcash
> mail-utils emacsbug sendmail regexp-opt help-mode view tmm electric
> edmacro refill easy-mmode kmacro tooltip ediff-hook vc-hooks
> lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image fringe
> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev loaddefs button minibuffer faces cus-face text-properties overlay
> md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)